## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - n -

- Name : iAwsKey, iEvent, SYMBOL_INFOW, SYMBOL_INFO, csObject, csCommandLineOption
- name : csOptionDescription, getopt_option, csEventCord, CrystalSpace::ImportKit::Container::Material, CrystalSpace::ImportKit::Container::Model, csBitmaskToString::MaskNames, csShaderProgram::ProgramParam, csShaderVarMapping, csGraphics2D
- name_reg : csInputDefinition
- nameDiffuseTexture : csTextureManager
- NameLen : SYMBOL_INFOW, SYMBOL_INFO
- NameRegistry : csInputDriver
- NeedsPO2Maps : csGraphics3DCaps
- new_idx : csCompressVertexInfo, csCompressVertex
- next : csSequenceOp, csFogInfo, csList< T >::csListElement, csEventCord::PluginData, csBlockAllocator< T, BlockPolicy >::FreeNode, csGenerateImageLayer, csFontCache::LRUEntry
- NextCallback : KDHELP64
- node : csSubRectangles::SubRect::AllocInfo
- nodeAlloc : csRedBlackTree< K >
- NodeMap : csPartialOrder< T >
- Nodes : csPartialOrder< T >
- norm : csPlane3, csPlane2, csDPlane
- normal_buffer : csNewParticleSystem
- normals : CrystalSpace::ImportKit::Container::Model::Mesh
- num : csShaderExpression::oper_arg
- num_disk_start_cdir : ZIP_end_central_dir_record
- num_edges : csPoly2DEdges
- num_entries_centrl_dir_ths_disk : ZIP_end_central_dir_record
- num_points : csSpline
- num_vertices : csMeshedPolygon, csTriangleVertices, csPolyIndexed, csPoly2D
- numAxes : csJoystickEventData, csMouseEventData
- number : csJoystickEventData, csParticleSystem
- number_this_disk : ZIP_end_central_dir_record
- numberOfLights : csShaderMetadata
- NumberOfMemoryRanges : MINIDUMP_MEMORY_LIST
- NumberOfStreams : MINIDUMP_HEADER
- NumSyms : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- nx : csCompressVertexInfo
- ny : csCompressVertexInfo
- nz : csCompressVertexInfo